Module
Inhalte
Index 🔎︎

# Funktion Lof

Liefert die Größe einer geöffneten Datei zurück.

## Syntax:

    Lof (Dateinummer)

## Rückgabewert:

Long

## Parameter:

Dateinummer: Ein beliebiger numerischer Ausdruck, der die in der Open-Anweisung für die jeweilige Datei angegebene Dateinummer enthält.

Um die Dateilänge einer nicht geöffneten Datei zu ermitteln, verwenden Sie die Funktion FileLen.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch

## Beispiel:

    Sub ExampleRandomAccess

    Dim iNumber As Integer

    Dim sText As Variant REM muss Variant sein

    Dim aFile As String

        aFile = "c:\data.txt"

        iNumber = Freefile

        Open aFile For Random As #iNumber Len=32

        Seek #iNumber,1 REM auf Anfang positionieren

        Put #iNumber,, "Das ist die 1.Zeile Text" REM Der Reihe nach mit Text füllen

        Put #iNumber,, "Das ist die 2.Zeile Text"

        Put #iNumber,, "Das ist die 3.Zeile Text"

        Seek #iNumber,2

        Get #iNumber,,sText

        Print sText

        Close #iNumber

        iNumber = Freefile

        Open aFile For Random As #iNumber Len=32

        Get #iNumber,2,sText

        Put #iNumber,,"Das ist ein neuer Text"

        Get #iNumber,1,sText

        Get #iNumber,2,sText

        Put #iNumber,20,"Das ist Text in Datensatz 20"

        Print Lof(#iNumber)

        Close #iNumber

    End Sub